<?php
namespace App\Http\Controllers;
use App\mensajes;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Http\Request;

class MensajesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $mensajes = mensajes::paginate(10);
        $mensajesAll = mensajes::all();
        return view('admin.mensajes.mensajes',[
            'mensajes'=>$mensajes,
            'AllMensajes'=>$mensajesAll
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $mensajes = new mensajes;
        $mensajes->nombre = $request->nombre;
        $mensajes->correo = $request->correo;
        $mensajes->mensaje = $request->mensaje;
        $mensajes->save();
        return view('admin.admin');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show( $id)
    {
        // $mensajes = DB::table('mensajes')
        //         ->where('id', '=', $id)
        //         ->get();
        // return view('mensajes.show',[
        //     'mensajes'=>$mensajes
        // ]);

        $mensaje = mensajes::findOrFail($id);
        $last    = (object)$mensaje;
        return view('admin.mensajes.mensaje',[
                'mensajes'=>$last
            ]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $mensajes = mensajes::find($id);
        $mensajes->correo = 'correo actualiazado';
        $mensajes->update();

        return("SAVE IT");
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //  
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        mensajes::destroy($id);
    }
}
